package com.adc.da.bs.customized.vo;

import com.adc.da.util.http.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 定制服务 传参
 *
 * @author 韩磊
 * @version V1.0
 * @date 2019-03-21 17:08
 **/
@Data
public class CustomizedServiceQueryVO {
    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String phoneNum;

    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    private String contacter;

    /**
     * 定制服务类型
     */
    @ApiModelProperty(value = "定制服务类型，多选")
    private String serviceType;

    /**
     * 定制内容
     */
    @ApiModelProperty(value = "定制内容")
    private String content;
}
