package com.adc.da.bs.manage.utils;
import java.util.HashMap;

import java.util.List;
import java.util.Map;


public class Pagination {
	private  Integer currentPage=0;// 当前页
	private  Integer pageSize=10;// 每页要求最多显示的记录
	private  Integer total; // 查询 数据库 得到的所有 记录总数
	private  List rows; //  查询 得到 本页的数据，返回一个 装有po对象的 List
	private Integer pageCount; // 总页数
	private Integer startPageIndex;//开始索引:查询list时用
	private Integer endPageIndex;//结束索引：查询list时用
	private Integer length;//实际查询到数量
    public Pagination(Integer currentPage, Integer pageSize, Integer total) {
    	this.currentPage = currentPage == 0 ? 1 : currentPage;
    	this.pageSize = pageSize;
    	this.total = total;
    	this.pageCount = (total+pageSize-1)/pageSize;//总页数
    	this.startPageIndex = (this.currentPage - 1)*pageSize;//开始下标
    }


    public Pagination() {
    }
    public Integer getCurrentPage() {
    	return currentPage;
    }
    public Integer getPageCount() {
    	return pageCount;
    }
    public void setPageCount(Integer pageCount) {
    	this.pageCount = pageCount;
    }
    public Integer getLength() {
    	return length;
    }
    public void setLength(Integer length) {
    	this.length = length;
    }
    public void setCurrentPage(Integer currentPage) {
    	this.currentPage = currentPage;
    }
    public Integer getPageSize() {
    	return pageSize;
    }
    public void setPageSize(Integer pageSize) {
    	this.pageSize = pageSize;
    }
    public Integer getTotal() {
    	return total;
    }
    public void setTotal(Integer total) {
    	this.total = total;
    }
    public List getRows() {
    	return rows;
    }
    public void setRows(List rows) {
    	this.rows = rows;
    }
    public Integer getStartPageIndex() {
    	return startPageIndex;
    }
    public void setStartPageIndex(Integer startPageIndex) {
    	this.startPageIndex = startPageIndex;
    }
    public Integer getEndPageIndex() {
    	return endPageIndex;
    }
    public void setEndPageIndex(Integer endPageIndex) {
    	this.endPageIndex = endPageIndex;
    }
}
