package com.adc.da.bs.resourceSharing.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.File;
import java.util.List;

/**资源共享 答案实体类
 * @author ZhengZhiwei
 * @description
 * @date create at 13:57 2018/3/30
 * @modified by
 */
public class QaAnswerEntity {
    private Integer id;    //主键ID

    private Integer qid;   //关联的问题id

    private Integer userid;  //关联的用户

    private Integer retrievalId; //用户关联的企业索引

    private String enterpriseName;  //用户名称

    private String answer;

    private Integer goodCount;

    private Integer badCount;

    private String best;

    private String praiseUsers;//点赞用户

    private String creatDate;

    private String timeGap;

    private File aswAttachment;  //回答附件

    private String aswAttachmentFileName;   //附件名称(上传时的资源管理器所见名字,数据库里的cname)

    private String aswAttachmentUrl;    //加密后的路径名

    private String treadUsers;//点踩用户
 
    private String aid;//答案id
    
    private String toUser;//回复人id
    
//    private List<QaRemarkEntity> remarkEntitys;     //这个回答所对应的评论

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getQid() {
        return qid;
    }

    public void setQid(Integer qid) {
        this.qid = qid;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public Integer getRetrievalId() {
        return retrievalId;
    }

    public void setRetrievalId(Integer retrievalId) {
        this.retrievalId = retrievalId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Integer getGoodCount() {
        return goodCount;
    }

    public void setGoodCount(Integer goodCount) {
        this.goodCount = goodCount;
    }

    public Integer getBadCount() {
        return badCount;
    }

    public void setBadCount(Integer badCount) {
        this.badCount = badCount;
    }

    public String getBest() {
        return best;
    }

    public void setBest(String best) {
        this.best = best;
    }

    public String getPraiseUsers() {
        return praiseUsers;
    }

    public void setPraiseUsers(String praiseUsers) {
        this.praiseUsers = praiseUsers;
    }

    public String getCreatDate() {
        return creatDate;
    }

    public void setCreatDate(String creatDate) {
        this.creatDate = creatDate;
    }

    public String getTimeGap() {
        return timeGap;
    }

    public void setTimeGap(String timeGap) {
        this.timeGap = timeGap;
    }

    public File getAswAttachment() {
        return aswAttachment;
    }

    public void setAswAttachment(File aswAttachment) {
        this.aswAttachment = aswAttachment;
    }

    public String getAswAttachmentFileName() {
        return aswAttachmentFileName;
    }

    public void setAswAttachmentFileName(String aswAttachmentFileName) {
        this.aswAttachmentFileName = aswAttachmentFileName;
    }

    public String getAswAttachmentUrl() {
        return aswAttachmentUrl;
    }

    public void setAswAttachmentUrl(String aswAttachmentUrl) {
        this.aswAttachmentUrl = aswAttachmentUrl;
    }

	public String getTreadUsers() {
		return treadUsers;
	}

	public void setTreadUsers(String treadUsers) {
		this.treadUsers = treadUsers;
	}

	public String getAid() {
		return aid;
	}

	public void setAid(String aid) {
		this.aid = aid;
	}

	public String getToUser() {
		return toUser;
	}

	public void setToUser(String toUser) {
		this.toUser = toUser;
	}

}
