package com.adc.da.bs.resourceSharing.entity;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.File;
import java.util.Date;
import java.util.List;

/**资源共享 问题实体类
 * @author ZhengZhiwei
 * @description
 * @date create at 13:51 2018/3/30
 * @modified by
 */
public class QaIssueEntity {
    private Integer id;   //序列ID

    private String title;  //问题标题

    private String content;  //问题描述

    private Integer userid;  //用户ID

    private Integer retrievalId; //用户关联的企业索引

    private int viewCount;    //浏览数

    private int rewards;   //悬赏

    private String accpeted;   //是否被采纳

    private Date creatDate;   //创建日期

    private File issAttachment;  //问题附件

    private String issAttachmentFileName;   //附件名称(上传时的资源管理器所见名字)

    private String issAttachmentUrl;    //加密后的路径名

    private String anonymity;    //是否匿名

    private String enterpriseName;  //用户名称

    private int replyCount;   //回答数

    private String timeGap;    //时间间隙
    
    private String qtype;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public Integer getRetrievalId() {
        return retrievalId;
    }

    public void setRetrievalId(Integer retrievalId) {
        this.retrievalId = retrievalId;
    }

    public int getViewCount() {
        return viewCount;
    }

    public void setViewCount(int viewCount) {
        this.viewCount = viewCount;
    }

    public int getRewards() {
        return rewards;
    }

    public void setRewards(int rewards) {
        this.rewards = rewards;
    }

    public String getAccpeted() {
        return accpeted;
    }

    public void setAccpeted(String accpeted) {
        this.accpeted = accpeted;
    }

    public Date getCreatDate() {
        return creatDate;
    }

    public void setCreatDate(Date creatDate) {
        this.creatDate = creatDate;
    }

    public File getIssAttachment() {
        return issAttachment;
    }

    public void setIssAttachment(File issAttachment) {
        this.issAttachment = issAttachment;
    }

    public String getIssAttachmentFileName() {
        return issAttachmentFileName;
    }

    public void setIssAttachmentFileName(String issAttachmentFileName) {
        this.issAttachmentFileName = issAttachmentFileName;
    }

    public String getIssAttachmentUrl() {
        return issAttachmentUrl;
    }

    public void setIssAttachmentUrl(String issAttachmentUrl) {
        this.issAttachmentUrl = issAttachmentUrl;
    }

    public String getAnonymity() {
        return anonymity;
    }

    public void setAnonymity(String anonymity) {
        this.anonymity = anonymity;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public int getReplyCount() {
        return replyCount;
    }

    public void setReplyCount(int replyCount) {
        this.replyCount = replyCount;
    }

    public String getTimeGap() {
        return timeGap;
    }

    public void setTimeGap(String timeGap) {
        this.timeGap = timeGap;
    }

	public String getQtype() {
		return qtype;
	}

	public void setQtype(String qtype) {
		this.qtype = qtype;
	}

}
