package com.adc.da.communal.file.Entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

public class FileEO {
	private String fileId;
	private String appId;
	private String fileName;
	private String fileType;
	private String savePath;
	private Date createTime;
	private Date lastUpdateTime;
	private String url;
	private String remark;
	private String userId;
	private String contentType;
	private Integer delFlag;//1删除  0未删除

	public String getFileId() {
		return fileId;
	}

	public void setFileId(String fileId) {
		this.fileId = fileId;
	}

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getFileType() {
		return fileType;
	}

	public void setFileType(String fileType) {
		this.fileType = fileType;
	}

	public String getSavePath() {
		return savePath;
	}

	public void setSavePath(String savePath) {
		this.savePath = savePath;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getLastUpdateTime() {
		return lastUpdateTime;
	}

	public void setLastUpdateTime(Date lastUpdateTime) {
		this.lastUpdateTime = lastUpdateTime;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getContentType() {
		return contentType;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o)
			return true;
		if (o == null || getClass() != o.getClass())
			return false;

		FileEO sysFileEO = (FileEO) o;

		if (fileId != null ? !fileId.equals(sysFileEO.fileId) : sysFileEO.fileId != null)
			return false;
		if (fileName != null ? !fileName.equals(sysFileEO.fileName) : sysFileEO.fileName != null)
			return false;
		if (fileType != null ? !fileType.equals(sysFileEO.fileType) : sysFileEO.fileType != null)
			return false;
		if (savePath != null ? !savePath.equals(sysFileEO.savePath) : sysFileEO.savePath != null)
			return false;
		if (createTime != null ? !createTime.equals(sysFileEO.createTime) : sysFileEO.createTime != null)
			return false;
		if (lastUpdateTime != null ? !lastUpdateTime.equals(sysFileEO.lastUpdateTime)
				: sysFileEO.lastUpdateTime != null)
			return false;
		if (url != null ? !url.equals(sysFileEO.url) : sysFileEO.url != null)
			return false;
		if (remark != null ? !remark.equals(sysFileEO.remark) : sysFileEO.remark != null)
			return false;
		if (userId != null ? !userId.equals(sysFileEO.userId) : sysFileEO.userId != null)
			return false;

		return true;
	}

	@Override
	public int hashCode() {
		int result = fileId != null ? fileId.hashCode() : 0;
		result = 31 * result + (fileName != null ? fileName.hashCode() : 0);
		result = 31 * result + (fileType != null ? fileType.hashCode() : 0);
		result = 31 * result + (savePath != null ? savePath.hashCode() : 0);
		result = 31 * result + (createTime != null ? createTime.hashCode() : 0);
		result = 31 * result + (lastUpdateTime != null ? lastUpdateTime.hashCode() : 0);
		result = 31 * result + (url != null ? url.hashCode() : 0);
		result = 31 * result + (remark != null ? remark.hashCode() : 0);
		result = 31 * result + (userId != null ? userId.hashCode() : 0);
		return result;
	}
}
